package com.rf.psychological.scale.dao.repository;


import com.rf.psychological.base.repository.BaseRepository;
import com.rf.psychological.scale.dao.model.Precautions;

/**
 * @Description:认知任务注意事项
 * @Author: zsf
 * @Date: 2022/7/19
 */
public interface PrecautionsRepository extends BaseRepository<Precautions,String> {

    /**
     * 根据任务id获取注意事项
     * @param cognitiveId 认知任务id
     * @return
     */
    Precautions findPrecautionsByCognitionId(String cognitiveId);
}
