package com.rf.psychological.scale.service.impl;


import com.rf.psychological.scale.dao.model.ScaleExternalSourceEntity;
import com.rf.psychological.scale.dao.repository.ScaleExternalSourceRepository;
import com.rf.psychological.scale.service.ScaleExternalSourceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * @author zsy
 * @description:量表类别信息管理
 * @date 2021/6/17 15:55
 */
@Service
public class ScaleExternalSourceServiceImpl implements ScaleExternalSourceService {

    @Autowired
    private ScaleExternalSourceRepository scaleExternalSourceRepository;


    /**
     * 根据id查询类别详细信息
     *
     * @param id
     * @return
     */
    @Override
    public ScaleExternalSourceEntity findById(String id) {
        return this.scaleExternalSourceRepository.findById(id).orElse(null);
    }

    @Override
    public void save(ScaleExternalSourceEntity scaleExternalSourceEntity) {
        this.scaleExternalSourceRepository.save(scaleExternalSourceEntity);
    }


}
