package com.rf.psychological.service.impl;

import com.rf.psychological.dao.model.CattellEntity;
import com.rf.psychological.dao.repository.CattellRepository;
import com.rf.psychological.service.CattellService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Sort;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author zzf
 * @description:卡氏十六种人格因素量表
 * @date 2021/2/2 15:19
 */
@Service
public class CattellServiceImpl implements CattellService {
    @Autowired
    private CattellRepository cattellRepository;
    /**
     * 查询量表
     *
     * @return
     */
    @Override
    public List<CattellEntity> findAll() {
        return cattellRepository.findAll(Sort.by("no"));
    }
}
