package com.rf.psychological.service.impl;

import com.rf.psychological.dao.model.POMSEntity;
import com.rf.psychological.dao.repository.POMSRepository;
import com.rf.psychological.service.POMSService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Sort;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author zzf
 * @description:⼼境状态量表（简式POMS）
 * @date 2021/1/20 8:50
 */
@Service
public class POMSServiceImpl implements POMSService {

    @Autowired
    private POMSRepository pomsRepository;
    /**
     * 查询全量
     *
     * @return
     */
    @Override
    public List<POMSEntity> findAll() {
        return this.pomsRepository.findAll(Sort.by("no"));
    }
}
