package com.rf.psychological.dao.model;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author zzf
 * @description:工作记忆能力测试实体对象
 * @date 2021/3/4 16:54
 */
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class WebMemoryEntity {

    /**
     * 是否需要点击控制
     */
    private String ifNeedClick;

    /**
     * 用户是否点击
     */
    private String ifUserClick;

    /**
     * 字母
     */
    private String letter;

    /**
     * 响应时间
     */
    private int userResponseTime;


    /**
     * 难度等级
     */
    private String diffLevel;

}
