package com.rf.psychological.scale.service.impl;

import com.rf.psychological.dao.model.HearingTestEntity;
import com.rf.psychological.dao.repository.HearingTestRepository;
import com.rf.psychological.scale.dao.model.PsychologicalCapitalEntity;
import com.rf.psychological.scale.dao.repository.PsychologicalCapitalRepository;
import com.rf.psychological.scale.service.HearingTestService;
import com.rf.psychological.scale.service.PsychologicalCapitalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author zsy
 * @description:
 * @date 2021/5/14 10:51
 */
@Service
public class PsychologicalCapitalServiceImpl implements PsychologicalCapitalService {

    @Autowired
    private PsychologicalCapitalRepository psychologicalCapitalRepository;

    /**
     * 保存
     * @param psychologicalCapitalEntity
     */
    @Override
    public void save(PsychologicalCapitalEntity psychologicalCapitalEntity) {
        this.psychologicalCapitalRepository.save(psychologicalCapitalEntity);
    }

    /**
     * 根据任务关联标识获取信息
     * @param taskMark
     */
    @Override
    public List<PsychologicalCapitalEntity> getPsychologicalCapitalList(String taskMark) {
        return this.psychologicalCapitalRepository.getPsychologicalCapitalList(taskMark);
    }

}
