package com.rf.psychological.security;

import java.lang.annotation.*;

/**
 * @author zzf
 * @description:
 * @date 2021/7/29 11:44
 */
@Target({ElementType.METHOD,ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Inherited
public @interface SafetyProcess {
    /**
     * 请求参数解密
     */
    boolean decode() default false;

    /**
     * 响应结果加密
     */
    boolean encode() default true;
}
